cl.cromer.estructuras

## Class ListaEnlazada

- java.lang.Object
- - cl.cromer.estructuras.ListaEnlazada

    public final class ListaEnlazada
    extends java.lang.Object

Crear una estructura de dato de tipo lista enlazada.

Author:
  Chris Cromer

### Nested Class Summary

Nested Classes
`static class` `ListaEnlazada.Tipos` Esta clase contiene los arbolTipo de listas enlazadas.

### Field Summary

Fields
`private ListaEnlace` `lista` El enlace principal de la lista.
`private int` `size` La cantidad de enlaces que están en la lista.
`private int` `tipo` El tipo de lista enlazada.

### Constructor Summary

Constructors
Constructor and Description
`ListaEnlazada()` Inicilizar.

### Method Summary

All Methods Instance Methods Concrete Methods
`ListaEnlace` `buscar(int llave)` Buscar una llave en la lista.
`boolean` `eliminar(int llave)` Eliminar un enlace de la lista.
`ListaEnlace` `getIndice(int indice)` Devolver un enlace con su llave y valor.
`int` `getTipo()` Devolver el tipo de lista.
`boolean` `insertar(int llave)` Insertar una llave en la lista.
`void` `setTipo(int tipo)` Cambiar el tipo de lista.
`int` `size()` Devolver la cantidad de enlaces que están en la lista.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### lista

    private ListaEnlace lista

El enlace principal de la lista.

#### size

    private int size

La cantidad de enlaces que están en la lista.

#### tipo

    private int tipo

El tipo de lista enlazada.

### Constructor Detail

#### ListaEnlazada

    public ListaEnlazada()

Inicilizar.

### Method Detail

#### getTipo

    public int getTipo()

Devolver el tipo de lista.

Returns:
  int: El tipo.

#### setTipo

    public void setTipo(int tipo)

Cambiar el tipo de lista.

Parameters:
  `tipo` - int: El tipo a cambiar.

#### insertar

    public boolean insertar(int llave)

Insertar una llave en la lista.

Parameters:
  `llave` - int: La llave a insertar.
Returns:
  boolean: Verdad si fue insertado, sino falso.

#### eliminar

    public boolean eliminar(int llave)

Eliminar un enlace de la lista.

Parameters:
  `llave` - int: La llave a eliminar.
Returns:
  boolean: Verdad si fue borrado, sino falso.

#### buscar

    public ListaEnlace buscar(int llave)

Buscar una llave en la lista.

Parameters:
  `llave` - int: La llave a buscar.
Returns:
  ListaEnlace: El enlace que contiene la llave buscada.

#### getIndice

    public ListaEnlace getIndice(int indice)

Devolver un enlace con su llave y valor.

Parameters:
  `indice` - int: El indice que desea ver.
Returns:
  ListaEnlace: El enlace a devolver.

#### size

    public int size()

Devolver la cantidad de enlaces que están en la lista.

Returns:
  int: La cantidad.